Bug 143526 - [ PATCH ] mail/cclient doesn't link against OpenSSL from ports
Summary: [ PATCH ] mail/cclient doesn't link against OpenSSL from ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-03 12:10 UTC by Dan Lukes
Modified: 2010-09-08 03:00 UTC (History)
0 users

See Also:


Attachments
patch (1.31 KB, patch)
2010-02-03 12:10 UTC, Dan Lukes
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Lukes 2010-02-03 12:10:01 UTC
Even make called with WITH_OPENSSL_PORT=yes the result is linked against base libraries, not port.

Fix: See attached patch
How-To-Repeat: See description
Comment 1 Edwin Groothuis freebsd_committer 2010-02-03 12:10:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->anders

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci freebsd_committer 2010-09-02 06:36:45 UTC
Responsible Changed
From-To: anders->pgollucci

maintainer timeout (anders ; 211 days)
Comment 3 Philip M. Gollucci freebsd_committer 2010-09-08 02:59:46 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 4 dfilter service freebsd_committer 2010-09-08 02:59:54 UTC
pgollucci    2010-09-08 01:59:41 UTC

  FreeBSD ports repository

  Modified files:
    mail/cclient         Makefile 
  Log:
  - Correctly support WITH_OPENSSL_PORT=yes
  
  PR:             ports/143526
  Submitted by:   Dan Lukes <dan@obluda.cz>
  Approved by:    maintainer timeout (anders ; 211 days)
  
  Revision  Changes    Path
  1.45      +14 -4     ports/mail/cclient/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"